Debian Bug report logs - #410596
(process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)

version graph

Package: lowmem; Maintainer for lowmem is Debian Install System Team <debian-boot@lists.debian.org>; Source for lowmem is src:lowmem.

Reported by: Pablo Ripolles <in-call@gmx.net>

Date: Mon, 12 Feb 2007 01:03:09 UTC

Severity: normal

Fixed in version lowmem/1.25

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: submit@bugs.debian.org
Subject: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)
Date: Mon, 12 Feb 2007 01:53:58 +0100
Package: installation-reports

Boot method: CD (netinst)
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/alpha/iso-cd/debian-testing-alpha-netinst.iso
Date: 11th February 2007

Machine: AlphaStation 500/266
Processor: DECchip 21164 processor running at 266 MHz
Memory: 64MB
Partitions: No chance.

Output of lspci -nn and lspci -vnn:
>From Digital Unix-Shell (SRM):
dka0.0.0.9.0	DKA0	RZ28D 0008
dka100.1.0.9.0	DKA100	IBM DNES-309170W SA30
dka200.2.0.9.0	DKA200	RRD45 1645
dva 0.0.0.0.1	DVA0
ewa0.0.0.6.0	EWA0	00-00-F8-21-A4-43
pka0.7.0.9.0	PKA0	SCSI BUS ID 7 5.57

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [ ]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

the installation is started with the following SRM command:

>>boot dka200 -flags 0

the d-i enters into "low memory mode".

when it reaches the "detecting network hardware" point, it enters into
an endless loop of killed processes showing the following error flag:

(process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)

when i boot the netinst CD using the priority=low flag, the d-i accomplishes
successfully the following tasks:

"Choose language"
"Select a keyboard layout"
"Detect and mount CD-ROM" ("Detecting hardware to find CD-ROMS", "Scanning CD-ROM")
"Load installer components from CD" ("Loading additional components")

no big problem so far, however when i push it through "Detect network hardware",
the logging console (Alt-F4) shows the kernel killing several processes associated
with the message "Out of Memory" and the installing console (Alt-F1) prints out the
message:

(process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)


Thanks for all!
Pablo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Pablo Ripolles <in-call@gmx.net>, 410596@bugs.debian.org
Cc: debian-alpha@lists.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Sat, 17 Feb 2007 03:24:21 -0800
On Fri, Feb 16, 2007 at 04:51:55PM +0100, Pablo Ripolles wrote:

> recently i've submitted an installation-report associated to a failed 
> etch installation (CD netinst method) on an AlphaStation 500/266.  this 
> post is mainly because i suspect that it might be an alpha related bug 
> and because it was my first time reporting such problem.  now, has 
> anyone in the alpha port community recently tried to install etch?  
> perhaps with a similar system as mine?  i've no idea why this happened 
> and i'd like to be able to install etch in its final version.  i'm 
> afraid that this bug report passes unnoticed, should i report it 
> otherwise?  here is a link of the archived report:

I've certainly tested installing etch on alpha recently, but not on a
machine requiring low memory mode.  I have no idea what the minimum memory
requirements for the installer might be on alpha.

> no big problem so far, however when i push it through "Detect network 
> hardware",
> the logging console (Alt-F4) shows the kernel killing several processes 
> associated
> with the message "Out of Memory"

Yes, that pretty much says it all.

I haven't looked at the low-memory mode menu in quite some time.  Do you
have the option at this point to mount swap space?  That's the only way
you're going to get enough virtual memory to be able to continue the install
of etch; there's certainly no way that the installer's memory requirements
on alpha are going to be lowered for etch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: Steve Langasek <vorlon@debian.org>, 410596@bugs.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Sun, 18 Feb 2007 20:18:45 +0100
Steve Langasek wrote:
> On Fri, Feb 16, 2007 at 04:51:55PM +0100, Pablo Ripolles wrote:
>
>   
>> recently i've submitted an installation-report associated to a failed 
>> etch installation (CD netinst method) on an AlphaStation 500/266.  this 
>> post is mainly because i suspect that it might be an alpha related bug 
>> and because it was my first time reporting such problem.  now, has 
>> anyone in the alpha port community recently tried to install etch?  
>> perhaps with a similar system as mine?  i've no idea why this happened 
>> and i'd like to be able to install etch in its final version.  i'm 
>> afraid that this bug report passes unnoticed, should i report it 
>> otherwise?  here is a link of the archived report:
>>     
>
> I've certainly tested installing etch on alpha recently, but not on a
> machine requiring low memory mode.  I have no idea what the minimum memory
> requirements for the installer might be on alpha.
>   
well, it seems that "in theory" the minimum memory requirements are 64MB 
(http://d-i.alioth.debian.org/manual/en.alpha/ch03s04.html).  obviously 
once installed, it might be striped down to an even lower requirement.  
as you can see my alpha system has got these 64MB.
>> no big problem so far, however when i push it through "Detect network 
>> hardware",
>> the logging console (Alt-F4) shows the kernel killing several processes 
>> associated
>> with the message "Out of Memory"
>>     
>
> Yes, that pretty much says it all.
>   
yes, i guess...
> I haven't looked at the low-memory mode menu in quite some time.  Do you
> have the option at this point to mount swap space?  That's the only way
> you're going to get enough virtual memory to be able to continue the install
> of etch;
when i boot using the option "priority=low" i have access to a reduced 
menu.  to have access to the augmented menu where the disk options are, 
i need to execute first "Detect and mount CD-ROM" and second "Load 
installer components from CD".  in the former entry i have the option to 
exclude a number of unnecessary modules from being loaded which i do.  
in these new menu is where the entries referring to "Detect disks" and 
then "Partition disks" are.  well, at this point, any thing i do, any 
entry i execute (obviously including the disks related) fails, it just 
doesn't fit in memory! therefore i cannot even mount swap space, i 
cannot install etch in any way! or which are my left options?
>  there's certainly no way that the installer's memory requirements
> on alpha are going to be lowered for etch.
i see it this way.  it's true that 64MB of memory is nowadays very 
little.  i understand that every new version has got higher requirements 
than previous ones (3.1 worked great!) .  but:
-given the fact that it's said that 64MB is enough, then it should be 
enough. 
-given the fact that alpha is an almost extinguished architecture and 
that it is (quite!) difficult to get working memory upgrades for those 
machines, then the lower the memory requirements the better.  i could 
agree with your statement for the i386 architecture...
-given the fact that the warning of the "low memory  mode" advices the 
administrator to allocate swap space as soon as possible, then doing it 
so at the very first opportunity should be possible.

well, anyway thanks for your answer... but what can i do? don't you 
think it could be optimized at least to be able to mount swap space?






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Pablo Ripolles <in-call@gmx.net>
Cc: 410596@bugs.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Sun, 18 Feb 2007 14:34:34 -0800
On Sun, Feb 18, 2007 at 08:18:45PM +0100, Pablo Ripolles wrote:
> >I haven't looked at the low-memory mode menu in quite some time.  Do you
> >have the option at this point to mount swap space?  That's the only way
> >you're going to get enough virtual memory to be able to continue the 
> >install
> >of etch;

> when i boot using the option "priority=low" i have access to a reduced 
> menu.  to have access to the augmented menu where the disk options are, 
> i need to execute first "Detect and mount CD-ROM" and second "Load 
> installer components from CD".  in the former entry i have the option to 
> exclude a number of unnecessary modules from being loaded which i do.  

Which modules have you loaded at this point?  Probably a lot more of these
are "unnecessary" then you would think -- to minimize your memory
consumption (which is the point of having a low-memory mode after all), you
should select *only* those installer components that are needed to get you
to the next stage, i.e., mounting swap space.

So you definitely shouldn't be loading network drivers at this point, but
instead wait until swap is loaded for that.  Then, once swap is activated,
you can go back to the list of installer components for a second pass.

> > there's certainly no way that the installer's memory requirements
> >on alpha are going to be lowered for etch.
> i see it this way.  it's true that 64MB of memory is nowadays very 
> little.  i understand that every new version has got higher requirements 
> than previous ones (3.1 worked great!) .  but:
> -given the fact that it's said that 64MB is enough, then it should be 
> enough. 

See above for the contortions that are implied by lowmem mode.  It may still
be enough, if you're willing to work for it.

> -given the fact that alpha is an almost extinguished architecture and 
> that it is (quite!) difficult to get working memory upgrades for those 
> machines, then the lower the memory requirements the better.  i could 
> agree with your statement for the i386 architecture...

64MB is a small amount of memory for anything on i386 today; but alpha has
always required *more* memory than i386 to do the same task, because of the
larger pointer sizes contributing to larger object sizes and greater memory
usage.  It is plainly unrealistic for the memory requirements for the
installer on alpha to ever be less than they are on i386.

And I'm the only developer actively working on the Debian installer for
alpha, and lowmem mode isn't a use case of direct importance to me.  (My
alpha has 384MB of real memory; I can't imagine trying to do anything useful
with 64MB in an alpha running etch.)  Even if I were inclined to put a lot
of effort into improving lowmem on alpha, it's unlikely that many of the
necessary changes would be suitable for inclusion in etch due to the
timeline.

To the extent that Debian helps make old, low-end hardware useful, I'm proud
of Debian and happy for our users; but I'm not going to strain my back
trying to turn back the hands of time.

> -given the fact that the warning of the "low memory  mode" advices the 
> administrator to allocate swap space as soon as possible, then doing it 
> so at the very first opportunity should be possible.

If you can't get to the point of activating swap space even with the further
hints above, please reply back and I'll see if we can't get this documented
in the alpha install manual for etch.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: Steve Langasek <vorlon@debian.org>
Cc: 410596@bugs.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Mon, 19 Feb 2007 19:11:49 +0100
Steve Langasek wrote:
> On Sun, Feb 18, 2007 at 08:18:45PM +0100, Pablo Ripolles wrote:
>   
>>> I haven't looked at the low-memory mode menu in quite some time.  Do you
>>> have the option at this point to mount swap space?  That's the only way
>>> you're going to get enough virtual memory to be able to continue the 
>>> install
>>> of etch;
>>>       
>
>   
>> when i boot using the option "priority=low" i have access to a reduced 
>> menu.  to have access to the augmented menu where the disk options are, 
>> i need to execute first "Detect and mount CD-ROM" and second "Load 
>> installer components from CD".  in the former entry i have the option to 
>> exclude a number of unnecessary modules from being loaded which i do.  
>>     
>
> Which modules have you loaded at this point?
as i said, i had tried all possibilities, i excluded all the unnecessary 
modules.  in fact, to "Detect and mount the CD-ROM" (stage in which d-i 
allows to un/select all the unnecessary kernel modules) there are no 
necessary modules, it doesn't need a module to detect and mount the CD 
successfully.  therefore i did tried the lightest possible configuration 
too.

> Probably a lot more of these
> are "unnecessary" then you would think -- to minimize your memory
> consumption (which is the point of having a low-memory mode after all), you
> should select *only* those installer components that are needed to get you
> to the next stage, i.e., mounting swap space.
>   
the next stage (the one which extends the main menu options, i.e. 
letting "Detect disks" and "Partition disks" appear) must be "Load 
installer components from CD".  i have no direct access to the mounting 
swap space menu entries from the basic-reduced-initial main menu.  i 
need to "Load installer components from CD" first to gain access to 
them! *that's the problem*.

> So you definitely shouldn't be loading network drivers at this point, but
> instead wait until swap is loaded for that.
yes, i know that! i've been trying to go as direct as possible to the 
mounting swap space menu entries.

> Then, once swap is activated,
> you can go back to the list of installer components for a second pass.
>   
well, the thing is that i cannot opt to select the main installer 
components, that's the point!  if i want to access the mounting swap 
space menu entries, then, first of all, i need to "Load installer 
components from CD", however d-i loads *all* main components at once! 
and i think that's what eats all the memory up! not the kernel modules 
(which i can actually avoid loading them, remember above).

after this second stage, i've gained access to the mounting swap space 
menu entries and d-i is in the state of _minimum_ possible memory 
configuration! now, when i execute the "Detect disks" menu entry, i get 
the same error as reported in the subject of this thread.

>   
>>> there's certainly no way that the installer's memory requirements
>>> on alpha are going to be lowered for etch.
>>>       
>> i see it this way.  it's true that 64MB of memory is nowadays very 
>> little.  i understand that every new version has got higher requirements 
>> than previous ones (3.1 worked great!) .  but:
>> -given the fact that it's said that 64MB is enough, then it should be 
>> enough. 
>>     
>
> See above for the contortions that are implied by lowmem mode.  It may still
> be enough, if you're willing to work for it.
>
>   
>> -given the fact that alpha is an almost extinguished architecture and 
>> that it is (quite!) difficult to get working memory upgrades for those 
>> machines, then the lower the memory requirements the better.  i could 
>> agree with your statement for the i386 architecture...
>>     
>
> 64MB is a small amount of memory for anything on i386 today; but alpha has
> always required *more* memory than i386 to do the same task, because of the
> larger pointer sizes contributing to larger object sizes and greater memory
> usage.  It is plainly unrealistic for the memory requirements for the
> installer on alpha to ever be less than they are on i386.
>   
i know this! i guess i didn't make my self clear.  my point of view was 
that *assuming* that we still want old alphas to work and to be used 
with debian, then the restrictions we should accept for the basic 
installation are the stronger ones i.e. the bottleneck, which in this 
case are the ones imposed by the alphas (higher memory requirements for 
the same task compared to i386).

> And I'm the only developer actively working on the Debian installer for
> alpha,
i didn't know that, and perhaps i wouldn't mind to contribute if you 
would help me a bit... just to get started...

>  and lowmem mode isn't a use case of direct importance to me.
i understand that.

> (My
> alpha has 384MB of real memory; I can't imagine trying to do anything useful
> with 64MB in an alpha running etch.)
well, that depends a lot on what you consider to be useful.

> Even if I were inclined to put a lot
> of effort into improving lowmem on alpha, it's unlikely that many of the
> necessary changes would be suitable for inclusion in etch due to the
> timeline.
>   
is it that difficult?  i mean, i think that it should be a question of 
just providing direct access to the mounting swap space menu entries 
from the basic-reduced-initial main menu.  just before to "Load 
installer components from CD" so that the memory is not yet consumed by 
unnecessary installer components.  i also think that was the original 
intended installation flow.

> To the extent that Debian helps make old, low-end hardware useful, I'm proud
> of Debian and happy for our users; but I'm not going to strain my back
> trying to turn back the hands of time.
>   
i understand that though, specially if it is so hard... perhaps it is 
not that hard (above considerations), perhaps it could be fixed for next 
release (4.0r1).

>   
>> -given the fact that the warning of the "low memory  mode" advices the 
>> administrator to allocate swap space as soon as possible, then doing it 
>> so at the very first opportunity should be possible.
>>     
>
> If you can't get to the point of activating swap space even with the further
> hints above, please reply back and I'll see if we can't get this documented
> in the alpha install manual for etch.
>   
well, as you see it is impossible with 64MB and this d-i flow.  however 
i think it is a matter of design/order of events...

> Thanks,
>   
Thank you!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Pablo Ripolles <in-call@gmx.net>
Cc: 410596@bugs.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Mon, 19 Feb 2007 18:04:06 -0800
On Mon, Feb 19, 2007 at 07:11:49PM +0100, Pablo Ripolles wrote:
> >Probably a lot more of these
> >are "unnecessary" then you would think -- to minimize your memory
> >consumption (which is the point of having a low-memory mode after all), you
> >should select *only* those installer components that are needed to get you
> >to the next stage, i.e., mounting swap space.

> the next stage (the one which extends the main menu options, i.e. 
> letting "Detect disks" and "Partition disks" appear) must be "Load 
> installer components from CD".  i have no direct access to the mounting 
> swap space menu entries from the basic-reduced-initial main menu.  i 
> need to "Load installer components from CD" first to gain access to 
> them! *that's the problem*.

The question is, which installer components did you load from the CD?

> >Then, once swap is activated,
> >you can go back to the list of installer components for a second pass.

> well, the thing is that i cannot opt to select the main installer 
> components, that's the point!  if i want to access the mounting swap 
> space menu entries, then, first of all, i need to "Load installer 
> components from CD", however d-i loads *all* main components at once! 
> and i think that's what eats all the memory up! not the kernel modules 
> (which i can actually avoid loading them, remember above).

Ok, that's not my past experience with the low-mem mode.  If it loads all of
them without giving you the option of choosing which ones to load, that
seems to be the root of the problem.

I've tested with the following:

- netboot using boot ewa0 -fl "mem=64000000" and the daily netboot image
- choose my keymap
- let the network configure DHCP automatically (obviously different from
  what happens here if booting from CD)
- choose my mirror
- a bunch of additional components are loaded automatically (bad!)
- the whole thing explodes with OOM

Right, so that's not good.

So then I tested a different way:

- netboot using boot ewa0 -fl "mem=64000000"
- choose my keymap
- let the network configure DHCP automatically
- choose 'go back' at the mirror selection
- choose 'Change debconf priority' and select 'low'
- choose my mirror
- choose 'Download installer components'

And then I get a message that says:

  All components of the installer needed to complete the install will be
  loaded automatically and are not listed here. [...]

So something has changed, and appears to now be incompatible with lowmem
mode.  Or maybe netboot was never compatible with lowmem?  I would
appreciate it if you could double-check what happens in a CD boot context
when lowering the debconf priority before proceeding to "Load installer
components from CD".

> >And I'm the only developer actively working on the Debian installer for
> >alpha,
> i didn't know that, and perhaps i wouldn't mind to contribute if you 
> would help me a bit... just to get started...

Well, see above. :)

> >Even if I were inclined to put a lot
> >of effort into improving lowmem on alpha, it's unlikely that many of the
> >necessary changes would be suitable for inclusion in etch due to the
> >timeline.

> is it that difficult?

Yes.  We're deep in the freeze, trying to push the release out; structural
changes to the installer would delay the release, and that's not warranted
for alpha lowmem mode (since you're the first person to ask about this,
ever).  If there are simple bugfixes that would make a difference here, then
there should be room for /that/, if allowed by the d-i release schedule.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 410596@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steve Langasek <vorlon@debian.org>, 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 03:48:06 -0500
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> - netboot using boot ewa0 -fl "mem=64000000" and the daily netboot image
> - choose my keymap
> - let the network configure DHCP automatically (obviously different from
>   what happens here if booting from CD)
> - choose my mirror
> - a bunch of additional components are loaded automatically (bad!)
> - the whole thing explodes with OOM

But did it enter lowmem mode at all?

> Yes.  We're deep in the freeze, trying to push the release out; structural
> changes to the installer would delay the release, and that's not warranted
> for alpha lowmem mode (since you're the first person to ask about this,
> ever).  If there are simple bugfixes that would make a difference here, then
> there should be room for /that/, if allowed by the d-i release schedule.

It might be as simple as putting in some alpha-specific numbers.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 410596@bugs.debian.org, Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 00:59:49 -0800
On Tue, Feb 20, 2007 at 03:48:06AM -0500, Joey Hess wrote:
> Steve Langasek wrote:
> > - netboot using boot ewa0 -fl "mem=64000000" and the daily netboot image
> > - choose my keymap
> > - let the network configure DHCP automatically (obviously different from
> >   what happens here if booting from CD)
> > - choose my mirror
> > - a bunch of additional components are loaded automatically (bad!)
> > - the whole thing explodes with OOM

> But did it enter lowmem mode at all?

Yes, it did.  Sorry, I was assuming that to be understood.

> > Yes.  We're deep in the freeze, trying to push the release out; structural
> > changes to the installer would delay the release, and that's not warranted
> > for alpha lowmem mode (since you're the first person to ask about this,
> > ever).  If there are simple bugfixes that would make a difference here, then
> > there should be room for /that/, if allowed by the d-i release schedule.

> It might be as simple as putting in some alpha-specific numbers.

It doesn't sound like it to me, if we're already in lowmem mode and have no
control over udeb selection?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 410596@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 410596@bugs.debian.org, Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 04:01:35 -0500
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> It doesn't sound like it to me, if we're already in lowmem mode and have no
> control over udeb selection?

Depends, it may be possible to tweak the numbers to get it into lowmem
level 2, which offers more control over which udebs are loaded.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 410596@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Pablo Ripolles <in-call@gmx.net>, 410596@bugs.debian.org
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 10:14:33 +0100
[Message part 1 (text/plain, inline)]
On Monday 19 February 2007 19:11, Pablo Ripolles wrote:
> as i said, i had tried all possibilities, i excluded all the
> unnecessary modules.  in fact, to "Detect and mount the CD-ROM" (stage
> in which d-i allows to un/select all the unnecessary kernel modules)
> there are no necessary modules, it doesn't need a module to detect and
> mount the CD successfully.  therefore i did tried the lightest possible
> configuration too.

Please provide us with the following data:
- do you get a dialog saying the installer is entering low memory mode?
- what languages are offered in the first dialog (language selection)?
- if you switch to VT2 at that point (or use the "start a shell" option
  in the main menu), what is the output of:
  - grep ^MemTotal: /proc/meminfo
  - grep ^MemFree: /proc/meminfo

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: Steve Langasek <vorlon@debian.org>
Cc: 410596@bugs.debian.org
Subject: Re: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 18:26:10 +0100
Steve Langasek wrote:
> On Mon, Feb 19, 2007 at 07:11:49PM +0100, Pablo Ripolles wrote:
>   
>>> Probably a lot more of these
>>> are "unnecessary" then you would think -- to minimize your memory
>>> consumption (which is the point of having a low-memory mode after all), you
>>> should select *only* those installer components that are needed to get you
>>> to the next stage, i.e., mounting swap space.
>>>       
>
>   
>> the next stage (the one which extends the main menu options, i.e. 
>> letting "Detect disks" and "Partition disks" appear) must be "Load 
>> installer components from CD".  i have no direct access to the mounting 
>> swap space menu entries from the basic-reduced-initial main menu.  i 
>> need to "Load installer components from CD" first to gain access to 
>> them! *that's the problem*.
>>     
>
> The question is, which installer components did you load from the CD?
>   

i cannot choose whether to load them or not, they all (except a number 
of them unselected by default, e.g. crypto-modules, eject-udeb, 
fb-modules, ipv6-modules,...) get automatically loaded (read below).

>   
>>> Then, once swap is activated,
>>> you can go back to the list of installer components for a second pass.
>>>       
>
>   
>> well, the thing is that i cannot opt to select the main installer 
>> components, that's the point!  if i want to access the mounting swap 
>> space menu entries, then, first of all, i need to "Load installer 
>> components from CD", however d-i loads *all* main components at once! 
>> and i think that's what eats all the memory up! not the kernel modules 
>> (which i can actually avoid loading them, remember above).
>>     
>
> Ok, that's not my past experience with the low-mem mode.  If it loads all of
> them without giving you the option of choosing which ones to load, that
> seems to be the root of the problem.
>   

yes, that is what happens!

> I've tested with the following:
>
> - netboot using boot ewa0 -fl "mem=64000000" and the daily netboot image
> - choose my keymap
> - let the network configure DHCP automatically (obviously different from
>   what happens here if booting from CD)
> - choose my mirror
> - a bunch of additional components are loaded automatically (bad!)
> - the whole thing explodes with OOM
>
> Right, so that's not good.
>
> So then I tested a different way:
>
> - netboot using boot ewa0 -fl "mem=64000000"
> - choose my keymap
> - let the network configure DHCP automatically
> - choose 'go back' at the mirror selection
> - choose 'Change debconf priority' and select 'low'
> - choose my mirror
> - choose 'Download installer components'
>
> And then I get a message that says:
>
>   All components of the installer needed to complete the install will be
>   loaded automatically and are not listed here. [...]
>
>   

exactly! that's the message i get when i hit "Load installer components 
from CD".  well this is what i do:

at SRM: boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=16384 
initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low 
netcfg/disable_dhcp=true"

- detect and mount cd-rom (here i load no kernel modules, it's 
unnecessary at this point)
- load installer components from cd (here appears the damn message 
announcing: "All components of the installer needed to complete the 
install will be loaded automatically and are not list here.  [...]")

any other thing i do drives to the reported error, i've got no memory 
left! even if i choose "Free memory (low memory install)" there is no 
way around.

> So something has changed, and appears to now be incompatible with lowmem
> mode.  Or maybe netboot was never compatible with lowmem?  I would
> appreciate it if you could double-check what happens in a CD boot context
> when lowering the debconf priority before proceeding to "Load installer
> components from CD".
>
>   

well, before to "Load installer components from CD" there is a reduced 
initial menu with the following options:

- "Choose language"
- "Select a keyboard layout"
- "Detect and mount CD"
- "Load installer components from CD"
- "Detect network hardware"
- "Configure the network"
- "Change debconf priority"
- "Check the CD-ROM(s) integrity"
- "Save debug logs"
- "Execute a shell"
- "Abort the installation"

but there is no access to anything related to mount swap space.

>>> And I'm the only developer actively working on the Debian installer for
>>> alpha,
>>>       
>> i didn't know that, and perhaps i wouldn't mind to contribute if you 
>> would help me a bit... just to get started...
>>     
>
> Well, see above. :)
>
>   
>>> Even if I were inclined to put a lot
>>> of effort into improving lowmem on alpha, it's unlikely that many of the
>>> necessary changes would be suitable for inclusion in etch due to the
>>> timeline.
>>>       
>
>   
>> is it that difficult?
>>     
>
> Yes.  We're deep in the freeze, trying to push the release out; structural
> changes to the installer would delay the release, and that's not warranted
> for alpha lowmem mode (since you're the first person to ask about this,
> ever).  If there are simple bugfixes that would make a difference here, then
> there should be room for /that/, if allowed by the d-i release schedule.
>
> Cheers,
>   
Thanks again!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: Frans Pop <elendil@planet.nl>
Cc: 410596@bugs.debian.org, vorlon@debian.org, joeyh@debian.org
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 19:25:51 +0100
Frans Pop wrote:
> On Monday 19 February 2007 19:11, Pablo Ripolles wrote:
>   
>> as i said, i had tried all possibilities, i excluded all the
>> unnecessary modules.  in fact, to "Detect and mount the CD-ROM" (stage
>> in which d-i allows to un/select all the unnecessary kernel modules)
>> there are no necessary modules, it doesn't need a module to detect and
>> mount the CD successfully.  therefore i did tried the lightest possible
>> configuration too.
>>     
>
> Please provide us with the following data:
> - do you get a dialog saying the installer is entering low memory mode?
>   

yes! it is the message that appears on screen before i have access to 
the main menu.

> - what languages are offered in the first dialog (language selection)?
>   

the low memory dialog warns me that the installation must proceed in 
english, so only english.  it also warns i should  set up  swap space as 
soon as possible (which i can't--see other message on this thread).  
however, once on the main menu, if i select "Choose language" the offer 
of languages is too long to be written here, i guess all languages.  i 
do not select any language but stay in english, not even a spanish 
keyboard layout.

> - if you switch to VT2 at that point (or use the "start a shell" option
>   in the main menu), what is the output of:
>   

ok, in this case i have to choose the spanish keyboard layout.

>   - grep ^MemTotal: /proc/meminfo
>   

MemTotal:  54888 kB

>   - grep ^MemFree: /proc/meminfo
>   

before i do "Detect and mount CD":

MemFree:  32304 kB

after i do "Detect and mount CD" (without loading any kernel modules) 
but before i do "Load installer components from CD":

MemFree:  31440 kB

after i do "Load installer components from CD" (without loading any 
optional installer modules, so no crypto-modules, eject-udeb, 
fb-modules, ipv6-modules,...):

MemFree:  5032 kB

so, here we can see it! great! it is clearly a question of the flow of 
the installer.  the actual flow is not congruent with the low memory 
mode, it should be possible to mount swap space before i do "Load 
installer components from CD".

> Cheers,
> FJP
>   
Cheers everyone!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 410596@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 410596@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 20:10:03 +0100
(No need to CC the developers when replying. We see the answers on the 
mailing list.)

On Tuesday 20 February 2007 19:25, Pablo Ripolles wrote:
> after i do "Load installer components from CD" (without loading any
> optional installer modules, so no crypto-modules, eject-udeb,
> fb-modules, ipv6-modules,...):
>
> MemFree:  5032 kB

OK. This is definitely too little free memory to continue the install. In 
my experience you need something like 10MB free at the beginning of 
partitioning for things to work correctly.

This means that the lowmem levels do need adjusting for alpha. Steve has 
said that he will investigate the correct levels.

You will probably be able to install your system by booting with as extra 
boot parameter BOOT_DEBUG=3. This should drop you into a shell. You can 
then edit /lib/debian-installer-startup,d/S15-lowmem (using nano) and 
change the value of level2 to 50 in last set of values to:
<snip>
                *)
                        level1=64
                        level2=50
                        min=0 #FIXME
                ;;
        esac
</snip>

When you do this, the installer should start in lowmem level 2 instead of 
level 1 which will allow you to not install unneeded components.
I suggest that you _do_ select partman-ext3 as additional component. That 
should still leave enough memory free.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 22:44:39 +0100
Frans Pop wrote:
> (No need to CC the developers when replying. We see the answers on the 
> mailing list.)
>
> On Tuesday 20 February 2007 19:25, Pablo Ripolles wrote:
>   
>> after i do "Load installer components from CD" (without loading any
>> optional installer modules, so no crypto-modules, eject-udeb,
>> fb-modules, ipv6-modules,...):
>>
>> MemFree:  5032 kB
>>     
>
> OK. This is definitely too little free memory to continue the install. In 
> my experience you need something like 10MB free at the beginning of 
> partitioning for things to work correctly.
>
> This means that the lowmem levels do need adjusting for alpha. Steve has 
> said that he will investigate the correct levels.
>   

does this mean the d-i will be updated for etch RC2?

> You will probably be able to install your system by booting with as extra 
> boot parameter BOOT_DEBUG=3. This should drop you into a shell. You can 
> then edit /lib/debian-installer-startup,d/S15-lowmem (using nano) and 
> change the value of level2 to 50 in last set of values to:
> <snip>
>                 *)
>                         level1=64
>                         level2=50
>                         min=0 #FIXME
>                 ;;
>         esac
> </snip>
>
>   

i've proceed as you mention, however i cannot save 
/lib/debian-installer-startup.d/S15lowmem because the file system is in 
read-only mode.  i cannot even chmod the file, it doesn't allow me to do it.

> When you do this, the installer should start in lowmem level 2 instead of 
> level 1 which will allow you to not install unneeded components.
>   

well, as i said i cannot save the file... but how am i supposed to 
"reboot" the installer to be able to select the partman-ext3 component?

> I suggest that you _do_ select partman-ext3 as additional component. That 
> should still leave enough memory free.
>
>   
thanks again!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#410596; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frans Pop <elendil@planet.nl>, 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 18:41:40 -0800
reassign 410596 lowmem
thanks

On Tue, Feb 20, 2007 at 10:14:33AM +0100, Frans Pop wrote:5~
> On Monday 19 February 2007 19:11, Pablo Ripolles wrote:
> > as i said, i had tried all possibilities, i excluded all the
> > unnecessary modules.  in fact, to "Detect and mount the CD-ROM" (stage
> > in which d-i allows to un/select all the unnecessary kernel modules)
> > there are no necessary modules, it doesn't need a module to detect and
> > mount the CD successfully.  therefore i did tried the lightest possible
> > configuration too.

> Please provide us with the following data:
> - do you get a dialog saying the installer is entering low memory mode?
> - what languages are offered in the first dialog (language selection)?
> - if you switch to VT2 at that point (or use the "start a shell" option
>   in the main menu), what is the output of:
>   - grep ^MemTotal: /proc/meminfo
>   - grep ^MemFree: /proc/meminfo

Ok, tweaking lowmem, I've tried a boot with mem=52000000.  (With
mem=51000000, the system memory bottoms out during hardware detection.)

# grep ^MemTotal /proc/meminfo
MemTotal:	40392 kB

I then choose these installer components:

  ext3-modules
  ide-core-modules
  ide-modules
  partman-auto
  partman-ext3

I'm assuming this is a good minimal test, since the IDE modules udebs are
smaller than the SCSI modules udebs by far.

I don't have a disk that I can spare for an autopartition test, so I stop
after the components are loaded and use your 10MB free estimate instead --
we have 13072kB free at this stage, which sounds good to me.

So that seems to give a theoretical min of 39MB.

Similar testing seems to give a level2 limit of 55MB.  Less than that in
level1 has the installer bottoming out in hardware detection again, more
than that gives around 17MB free at the start of autopartitioning.

And for level1, a test with 81MB again OOMs during hardware detection; a
test with 82MB gets all the way to starting partman, and has 5MB free at the
first menu.  I'm not sure if the 10MB limit applies to how much memory is
needed to run partman as a whole, or how much memory is needed after
starting partman?  Anyway, I've set the level1 limit to 82 for now.

Does this all sound sane?  Would it be ok for me to upload this?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug reassigned from package `installation-reports' to `lowmem'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Tue, 20 Feb 2007 19:08:50 -0800
On Tue, Feb 20, 2007 at 06:41:40PM -0800, Steve Langasek wrote:
> Does this all sound sane?  Would it be ok for me to upload this?

In the meantime, I've made a netboot image available at
<http://people.debian.org/~vorlon/alpha-lowmem.img>.  Pablo, this should
do the trick for you if you have the option of netbooting; otherwise, the
fix should trickle into the CD images soon after Frans ok's an upload of
lowmem.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pablo Ripolles <in-call@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 410596-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 410596-close@bugs.debian.org
Subject: Bug#410596: fixed in lowmem 1.25
Date: Wed, 21 Feb 2007 09:32:02 +0000
Source: lowmem
Source-Version: 1.25

We believe that the bug you reported is fixed in the latest version of
lowmem, which is due to be installed in the Debian FTP archive:

lowmem_1.25.dsc
  to pool/main/l/lowmem/lowmem_1.25.dsc
lowmem_1.25.tar.gz
  to pool/main/l/lowmem/lowmem_1.25.tar.gz
lowmem_1.25_all.udeb
  to pool/main/l/lowmem/lowmem_1.25_all.udeb
lowmemcheck_1.25_amd64.udeb
  to pool/main/l/lowmem/lowmemcheck_1.25_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 410596@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated lowmem package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 21 Feb 2007 10:10:38 +0100
Source: lowmem
Binary: lowmemcheck lowmem
Architecture: source amd64 all
Version: 1.25
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 lowmem     - free memory for lowmem install (udeb)
 lowmemcheck - detect low-memory systems and enter lowmem mode (udeb)
Closes: 410596
Changes: 
 lowmem (1.25) unstable; urgency=low
 .
   [ Joey Hess ]
   * Add armel lowmem level. Should be close to the same as arm.
 .
   [ Steve Langasek ]
   * Add alpha lowmem level.  Closes: #410596.
Files: 
 fab416881c4864949efd19b614c36871 678 debian-installer optional lowmem_1.25.dsc
 00ded540de8f19f94241a8a33e274294 9593 debian-installer optional lowmem_1.25.tar.gz
 745fbdb6b26cb7c918ac1fb8a99cf7f7 1364 debian-installer optional lowmem_1.25_all.udeb
 a50d2d03971ae7dc8cc22fcc6b179f3c 4858 debian-installer optional lowmemcheck_1.25_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF3A2Bgm/Kwh6ICoQRAsT7AKCyxN08ZJY3LuOaGw6fvi3hLZ0E+gCfdGss
LNGGlkdwY1wElpNXZRPSmqg=
=W+fv
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #92 received at 410596@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Pablo Ripolles <in-call@gmx.net>, 410596@bugs.debian.org
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Thu, 22 Feb 2007 11:53:14 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 20 February 2007 22:44, Pablo Ripolles wrote:
> does this mean the d-i will be updated for etch RC2?

Yes, this fix will be included in RC2.

> i've proceed as you mention, however i cannot save
> /lib/debian-installer-startup.d/S15lowmem because the file system is in
> read-only mode.  i cannot even chmod the file, it doesn't allow me to
> do it.

You should be able to test this again with images after the next build 
cycle. I suggest to wait until tomorrow.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 410596@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steve Langasek <vorlon@debian.org>, 410596@bugs.debian.org
Cc: Frans Pop <elendil@planet.nl>, Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: [Fwd: (process:number) INFO: kbd-mode: setting console mode to Unicode (UTF-8)]
Date: Mon, 26 Feb 2007 20:33:46 -0500
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> I don't have a disk that I can spare for an autopartition test, so I stop
> after the components are loaded and use your 10MB free estimate instead --
> we have 13072kB free at this stage, which sounds good to me.
 
> Does this all sound sane?  Would it be ok for me to upload this?

Note 100% sure I follow the reasoning above, but the results seem sane
enough.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>, Frans Pop <fjp@debian.org>
Subject: Bug#410596: lowmem
Date: Tue, 20 Mar 2007 00:05:46 +0100
Hello again :(

Steve, this image: http://people.debian.org/~vorlon/alpha-lowmem.img 
<http://people.debian.org/%7Evorlon/alpha-lowmem.img>
I finally couldn't try it, I had no option of netbooting.

Now, the problem of not allowing the installation on low mem (64MB) 
alpha systems persists.  That is, now the manifestation is the following 
message:

ram0: rw=0, want=333282, limit=322768
attempt to access beyond end of device

This message gets print out in an endless loop repeating itself right 
after the RAMDISK boot message, it doesn't even get to the menus.

As I already said, my boot options at SRM are:

boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=16384 
initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low 
netcfg/disable_dhcp=true"

(booting as: 'boot dka200 -flags 0' produces the same results)

I hope this is a minor thing which could be fixed.

Thanks!

Pablo







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to 410596@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 410596@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: Pablo Ripolles <in-call@gmx.net>, 410596@bugs.debian.org
Subject: Re: Bug#410596: lowmem
Date: Tue, 20 Mar 2007 01:05:51 +0100
(No need to CC us, we get your replies to the BTS on our mailing list.)

On Tuesday 20 March 2007 00:05, Pablo Ripolles wrote:
> I finally couldn't try it, I had no option of netbooting.

Note that the change Steve was included in _all_ images available from [1] 
quite some time back.

> Now, the problem of not allowing the installation on low mem (64MB)
> alpha systems persists.  That is, now the manifestation is the
> following message:
>
> ram0: rw=0, want=333282, limit=322768
> attempt to access beyond end of device

This has nothing to do with lowmem. This is caused by the fact that the 
initrd is larger than the memory reserved for loading it.

> As I already said, my boot options at SRM are:
> boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=16384
> initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low
> netcfg/disable_dhcp=true"

You will need to increase the value for ramdisk_size.

[1] http://www.debian.org/devel/debian-installer/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 410596@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: lowmem
Date: Tue, 20 Mar 2007 02:12:25 +0100
On Tuesday 20 March 2007 01:05, Frans Pop wrote:
> Note that the change Steve was included in _all_ images available from
> [1] quite some time back.

After discussing this on IRC, it appears I misunderstood. You did use a 
current CD, not Steve's image.

> You will need to increase the value for ramdisk_size.

This needs to be done in the CD creation process and is being taken care 
of. If you download a new _daily_ image 24+ hours from now, it should be 
fixed. It would be great if you could test this and let us know.

However, if the alpha boot manager allows you to change the value while 
booting (or even add an extra ramdisk_size= after the current one), you 
should be able to work around the problem with the current image to.

Seems like the value should be 17108 or a bit more than that.

Cheers,
FJP



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 410596@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frans Pop <elendil@planet.nl>, 410596@bugs.debian.org
Cc: Pablo Ripolles <in-call@gmx.net>
Subject: Re: Bug#410596: lowmem
Date: Mon, 19 Mar 2007 21:05:21 -0700
On Tue, Mar 20, 2007 at 02:12:25AM +0100, Frans Pop wrote:
> On Tuesday 20 March 2007 01:05, Frans Pop wrote:
> > Note that the change Steve was included in _all_ images available from
> > [1] quite some time back.

> After discussing this on IRC, it appears I misunderstood. You did use a 
> current CD, not Steve's image.

> > You will need to increase the value for ramdisk_size.

> This needs to be done in the CD creation process and is being taken care 
> of. If you download a new _daily_ image 24+ hours from now, it should be 
> fixed. It would be great if you could test this and let us know.

> However, if the alpha boot manager allows you to change the value while 
> booting (or even add an extra ramdisk_size= after the current one), you 
> should be able to work around the problem with the current image to.

Yes, in fact his first example showed him passing all the boot args manually
-- so adjusting the ramdisk_size value should be sufficient.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #122 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Subject: Re: Bug#410596: lowmem
Date: Wed, 21 Mar 2007 00:58:12 +0100
Frans Pop wrote:
> On Tuesday 20 March 2007 01:05, Frans Pop wrote:
>   
>> Note that the change Steve was included in _all_ images available from
>> [1] quite some time back.
>>     
>
> After discussing this on IRC, it appears I misunderstood. You did use a 
> current CD, not Steve's image.
>   

yes indeed! i was not too clear about it, sorry! i did use the following 
RC2 image: Binary-1 20070317-20:34

>   
>> You will need to increase the value for ramdisk_size.
>>     
>
> This needs to be done in the CD creation process and is being taken care 
> of. If you download a new _daily_ image 24+ hours from now, it should be 
> fixed. It would be great if you could test this and let us know.
>
> However, if the alpha boot manager allows you to change the value while 
> booting (or even add an extra ramdisk_size= after the current one), you 
> should be able to work around the problem with the current image to.
>
> Seems like the value should be 17108 or a bit more than that.
>   

yes! i have just tried this... works great! its fantastic! now i 
proceeded with the following options @ SRM:

boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=17108 
initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall"

and it works just great! i'll complete the installation this weekend 
with a new image and i'll let you know.

thanks! fantastic job! well done!
pablo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Subject: Re: Bug#410596: lowmem
Date: Wed, 21 Mar 2007 00:58:18 +0100
Steve Langasek wrote:
> On Tue, Mar 20, 2007 at 02:12:25AM +0100, Frans Pop wrote:
>   
>> On Tuesday 20 March 2007 01:05, Frans Pop wrote:
>>     
>>> Note that the change Steve was included in _all_ images available from
>>> [1] quite some time back.
>>>       
>
>   
>> After discussing this on IRC, it appears I misunderstood. You did use a 
>> current CD, not Steve's image.
>>     
>
>   
>>> You will need to increase the value for ramdisk_size.
>>>       
>
>   
>> This needs to be done in the CD creation process and is being taken care 
>> of. If you download a new _daily_ image 24+ hours from now, it should be 
>> fixed. It would be great if you could test this and let us know.
>>     
>
>   
>> However, if the alpha boot manager allows you to change the value while 
>> booting (or even add an extra ramdisk_size= after the current one), you 
>> should be able to work around the problem with the current image to.
>>     
>
> Yes, in fact his first example showed him passing all the boot args manually
> -- so adjusting the ramdisk_size value should be sufficient.
>
>   

yes, it was! =)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #132 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Subject: Re: Bug#410596: lowmem
Date: Sun, 25 Mar 2007 16:37:07 +0200
Pablo Ripolles wrote:
> Frans Pop wrote:
>> On Tuesday 20 March 2007 01:05, Frans Pop wrote:
>>  
>>> Note that the change Steve was included in _all_ images available from
>>> [1] quite some time back.
>>>     
>>
>> After discussing this on IRC, it appears I misunderstood. You did use 
>> a current CD, not Steve's image.
>>   
>
> yes indeed! i was not too clear about it, sorry! i did use the 
> following RC2 image: Binary-1 20070317-20:34
>
>>  
>>> You will need to increase the value for ramdisk_size.
>>>     
>>
>> This needs to be done in the CD creation process and is being taken 
>> care of. If you download a new _daily_ image 24+ hours from now, it 
>> should be fixed. It would be great if you could test this and let us 
>> know.
>>
>> However, if the alpha boot manager allows you to change the value 
>> while booting (or even add an extra ramdisk_size= after the current 
>> one), you should be able to work around the problem with the current 
>> image to.
>>
>> Seems like the value should be 17108 or a bit more than that.
>>   
>
> yes! i have just tried this... works great! its fantastic! now i 
> proceeded with the following options @ SRM:
>
> boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=17108 
> initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall"
>
> and it works just great! i'll complete the installation this weekend 
> with a new image and i'll let you know.
>
> thanks! fantastic job! well done!
> pablo
>
>

hello, i've just installed Debian GNU/Linux testing "Etch" - Official 
Beta alpha NETINST Binary-1 20070325-08:47 and it worked.  i'll next 
send an installation report and i'll keep on testing it.

thanx again!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at submit@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: submit@bugs.debian.org
Subject: Bug#410596: installation-report: successfull installation on AlphaStation 500/266 (64MB)
Date: Sun, 25 Mar 2007 16:47:06 +0200
Package: installation-reports

Boot method: CD (netinst)
Image version: 
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/alpha/iso-cd/debian-testing-alpha-netinst.iso
Date: 25th March 2007

Machine: AlphaStation 500/266
Processor: DECchip 21164 processor running at 266 MHz
Memory: 64MB
Partitions:

From Digital Unix-Shell (SRM):
dka0.0.0.9.0    DKA0    RZ28D 0008
dka100.1.0.9.0    DKA100    IBM DNES-309170W SA30
dka200.2.0.9.0    DKA200    RRD45 1645
dva 0.0.0.0.1    DVA0
ewa0.0.0.6.0    EWA0    00-00-F8-21-A4-43
pka0.7.0.9.0    PKA0    SCSI BUS ID 7 5.57

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [O]

Comments/Problems:

the installation has been started with the following SRM command:

boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=17084 
initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low"

the d-i enters into "low memory mode".




Message #138 received at 410596-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Pablo Ripolles <in-call@gmx.net>, 410596-done@bugs.debian.org
Subject: Re: Bug#410596: installation-report: successfull installation on AlphaStation 500/266 (64MB)
Date: Sun, 25 Mar 2007 18:18:59 +0200
On Sunday 25 March 2007 16:47, Pablo Ripolles wrote:
> Comments/Problems:
> the installation has been started with the following SRM command:
>
> boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=17084
> initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low"

That is the default SRM command, right? You did not have to adjust the 
ramdisk_size anymore?

> the d-i enters into "low memory mode".

OK. Looks like all is well now then.

Thank you for testing the daily images. Closing this report as there were 
no issues.

Cheers,
FJP



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Pablo Ripolles <in-call@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #143 received at 410596@bugs.debian.org (full text, mbox):

From: Pablo Ripolles <in-call@gmx.net>
To: 410596@bugs.debian.org
Subject: Re: Bug#410596: installation-report: successfull installation on AlphaStation 500/266 (64MB)
Date: Tue, 27 Mar 2007 02:58:04 +0200
Frans Pop wrote:
> On Sunday 25 March 2007 16:47, Pablo Ripolles wrote:
>   
>> Comments/Problems:
>> the installation has been started with the following SRM command:
>>
>> boot dka200 -fi boot/vmlinuz -fl "ramdisk_size=17084
>> initrd=/boot/initrd.gz root=/dev/ram devfs=mount,dall priority=low"
>>     
>
> That is the default SRM command, right? You did not have to adjust the 
> ramdisk_size anymore?
>
>   

yes! that is the default SRM command except for the "priority=low" 
entry.  the 17084 size for the ramdisk is the default size
which, indeed, i didn't have to adjust.

>> the d-i enters into "low memory mode".
>>     
>
> OK. Looks like all is well now then.
>
>   

yes it does (at least with the install :).

> Thank you for testing the daily images. Closing this report as there were 
> no issues.
>   

please, thanks for your attention.

> Cheers,
> FJP
>
>   

Saludos!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#410596; Package lowmem. Full text and rfc822 format available.

Acknowledgement sent to Markus Kaukonen <markus.kaukonen@teokem.lu.se>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #148 received at 410596@bugs.debian.org (full text, mbox):

From: Markus Kaukonen <markus.kaukonen@teokem.lu.se>
To: 410596@bugs.debian.org
Subject: Bug#410596: marked as done
Date: Sun, 12 Aug 2007 16:32:51 +0300
Dear Sir/Madam,

I have the same symptoms of this bug as described in 
http://lists.debian.org/debian-boot/2007/02/msg00924.html

The iso images I tried were 
debian-40r0-i386-netinst.iso
debian-edu-etch-i386-netinst-3.0r0.iso

My laptop is a very old acer extensa 367T with 32MB memory.

Is the iso image with the bug fix available somewhere?

Regards, Markus Kaukonen

-- 
-----------www= http://www.iki.fi/markus.kaukonen---------------
Markus.Kaukonen@teokem.lu.se  \ HOME->   Viinirinne 3 F 12
Dep. of Theoretical Chemistry  \_______  02630 Espoo, Finland
Lund University                 \ tel:+358-(0)9-5127122/h
Chemical Centre, P. O. Box 124   \____
S-221 00, Lund, Sweden             \______ H+ ______
--- Rikos ei kannata, eika maatalous Suomessa. (Paimio 1998) ---



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Jan 2008 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:40:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.